This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 690285 - RFE: QMF Object publishing interval scoped to type
RFE: QMF Object publishing interval scoped to type
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
1.3
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Ted Ross
MRG Quality Engineering
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-23 15:32 EDT by Matthew Farrellee
Modified: 2013-02-26 16:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2011-03-23 15:32:46 EDT
QMFv1 (and v2) as of 0.9.1079953-2, supports controlling the frequency at which an agent will broadcast updates to a broker (qpid::management::ManagementAgent::init(..., intervalSeconds, ...)). The frequency is scoped to the agent.

In a Grid deployment, a single agent will be publishing multiple types. For instance, the Schedd agent will publish classes Scheduler, Submitter, JobServer and Submission. See bug 689785.

Different types may have different freshness requirements. For instance, Submission data with an SLA of 15 seconds from condor_submit to visibility in Cumin, and Submitter data with a 30 second SLA.

Furthermore, in a scaled up system it becomes important to adjust the update intervals, often based on consumer performance.

The ability to specify the interval on a per class basis, at runtime, will satisfy this RFE.

Note You need to log in before you can comment on or make changes to this bug.